import { useRoleDetailStore } from '@/pages/sys/role/role-detail/role-detail-store.ts'

export default {
  component: () => import('@/pages/sys/role/role-detail/RoleDetail.vue'),
  meta: {
    getId() {
      return `role-detail-${useRoleDetailStore().id}`
    }
  }
} as RouterTypes.PageConfig
